#ifndef WORKER_THREAD_H_INCLUDED
#define WORKER_THREAD_H_INCLUDED

#include <QThread>
#include <QString>

class WorkerThread : public QThread {
    Q_OBJECT
public:
    WorkerThread(QString const &name, QObject *parent = nullptr);
    virtual ~WorkerThread();

protected:
    // virtual void run();
};

#endif // WORKER_THREAD_H_INCLUDED
